import React, { useMemo, useState } from 'react';
import { Upload, Button, message } from 'antd';
import { UploadOutlined } from '@ant-design/icons';
import { requestUpload } from '../../services/upload';
import { RcFile, UploadChangeParam } from 'antd/lib/upload';
import { UploadFile } from 'antd/lib/upload/interface';
export default (props) => {
	const [fileListState, changeFileList] = useState<any[]>([]);
	const { fileList = [] } = props;
	const beforeUpload = (file: RcFile) => {
		requestUpload(file)
			.then((data) => {
				changeFileList([
					...fileListState,
					{
						name: file.name,
						uid: file.uid,
						status: 'done',
						url: data,
					},
				]);

				props.onChange(fileList.concat(data));
			})
			.catch((error) => {
				message.error(error.message);
			});
		return false;
	};
	const handleChange = ({
		fileList,
		file,
	}: UploadChangeParam<UploadFile<any>>) => {
		changeFileList(fileList);
		if (file.status === 'removed') {
			props.onChange(
				props.fileList.filter((propsFile) => propsFile.url !== file.url)
			);
		}
	};
	return (
		<Upload
			fileList={fileListState}
			onChange={handleChange}
			beforeUpload={beforeUpload}
			accept='image/*'>
			<Button icon={<UploadOutlined />}>上传</Button>
		</Upload>
	);
};
