import { useState } from 'react';
import Request from '../../utils/request';

/**
 * @description 实名制设备列表
 */
export const useAccessControllerList = () => {
	const [state, setState] = useState<{
		loading: boolean;
		dataSource: [];
		page: number;
		total: number;
	}>({
		loading: false,
		dataSource: [],
		page: 1,
		total: 0,
	});
	const request = (params: { page: number; filter: string }) => {
		setState((preState) => ({
			...preState,
			loading: true,
		}));
		return Request.sendRequest({
			url: '/v1/device/attendance_list',
			params,
		})
			.then((data: any) => {
				setState((preState) => ({
					...preState,
					...data,
					loading: false,
					dataSource: data.list,
				}));
			})
			.catch((error) => {
				setState((preState) => ({
					...preState,
					loading: false,
				}));
				return Promise.reject(error);
			});
	};
	return { state, request } as const;
};
