import * as React from 'react';
import { Row, Col, Table, Form, Button, Modal } from 'antd';
import { ColumnProps } from 'antd/lib/table';
import { useEnterpriseList } from '../../services/enterprise';
const columns: ColumnProps<any>[] = [
	{
		title: '企业名称',
		dataIndex: 'name',
		key: 'name',
	},
	{
		title: '社会统一信用代码',
		dataIndex: 'social_code',
		key: 'social_code',
	},
	{
		title: '业务联系人',
		dataIndex: 'business_contact',
		key: 'business_contact',
	},

	{
		title: '业务联系人电话',
		dataIndex: 'business_contact',
		key: 'business_contact',
	},
	{
		title: '申请时间',
		dataIndex: 'apply_time',
		key: 'apply_time',
	},
];

const expandedRows = [
	{
		name: '营业执照',
		key: 'business_license',
	},
	{
		name: '紧急联系人',
		key: 'emergency_contact',
	},
	{
		name: '紧急联系人电话',
		key: 'emergency_contact_phone',
	},
	{
		name: '证件号',
		key: 'id_cert',
	},
	{
		name: '法定代表人',
		key: 'legal_person',
	},
];
/**
 * @description 企业列表
 * @param props
 */
const accessDevice: React.FC = (props) => {
	const [enterpriseListState, requestEnterpriseList] = useEnterpriseList({
		auto: true,
	});

	return (
		<div>
			<Table
				expandable={{
					expandedRowRender: (record) => {
						return (
							<Row>
								{expandedRows.map((element) => {
									return (
										<Col span={12} key={element.key}>
											{`${element.name}:${record[element.key]}`}
										</Col>
									);
								})}
							</Row>
						);
					},
				}}
				rowKey={(record) => record.id}
				columns={columns}
				pagination={{ hideOnSinglePage: true }}
				loading={enterpriseListState.loading}
				dataSource={enterpriseListState.dataSource}></Table>
			<Modal></Modal>
		</div>
	);
};
export default accessDevice;
