import React from 'react';
import { Drawer, Descriptions, Image } from 'antd';
interface Iprops {
	visible: boolean;
	onSwitchVisible: () => void;
	dataRows: any[];
	values: any;
}
const DrawerToDetail: React.FC<Iprops> = ({
	onSwitchVisible,
	visible,
	dataRows,
	values,
}) => {
	return (
		<Drawer
			onClose={onSwitchVisible}
			visible={visible}
			title='详情'
			width={800}
			footer={null}>
			<Descriptions column={{ xxl: 2, xl: 2 }} bordered>
				{dataRows.map((info) => {
					const currentValue = values[info.dataIndex];
					return (
						<Descriptions.Item
							label={info.title}
							key={info.dataIndex}
							span={info.span || 1}>
							{info.img
								? currentValue.map((imgUrl) => {
										return (
											<Image
												key={imgUrl}
												src={imgUrl}
												width={150}
												height={150}></Image>
										);
								  })
								: currentValue}
						</Descriptions.Item>
					);
				})}
			</Descriptions>
		</Drawer>
	);
};
export default DrawerToDetail;
