import React, { useRef, useEffect } from 'react';
import echarts from 'echarts/lib/echarts';
import { EChartsFullOption } from 'echarts/lib/option';
import 'echarts/lib/chart/pie';
import 'echarts/lib/component/title';
import 'echarts/lib/component/tooltip';
import 'echarts/lib/component/legend';

import './index.scss';
interface Iprops {
	options: EChartsFullOption;
}

const echartsContainer: React.FC<Iprops> = ({ options }) => {
	const containerRef = useRef<HTMLDivElement>(null);
	const chartInstace = useRef<any>(null);
	useEffect(() => {
		const myChart = echarts.init(containerRef.current as HTMLDivElement);
		if (!chartInstace.current) {
			chartInstace.current = myChart;
		}
		myChart.setOption(options);
	}, []);
	useEffect(() => {
		if (chartInstace.current) {
			chartInstace.current.setOption(options);
		}
	}, [options]);
	return <div className='echars-container' ref={containerRef}></div>;
};
export default echartsContainer;
