import * as React from 'react';
import Request from '../utils/request';
/**
 * @description 企业列表
 */
export const useEnterpriseList = (options = { auto: true }) => {
	const [state, setState] = React.useState({
		loading: false,
		total: 0,
		page: 1,
		dataSource: [],
	});
	const request = () => {
		setState((preState) => ({ ...preState, loading: true }));
		return Request.sendRequest({
			url: '/v1/company/list',
		})
			.then((data: any) => {
				setState((preState) => ({
					...preState,
					...data,
					loading: false,
					dataSource: data.list,
				}));
			})
			.catch((error) => {
				setState((preState) => ({ ...preState, loading: false }));
				return Promise.reject(error);
			});
	};
	React.useEffect(() => {
		if (options.auto) {
			request();
		}
	}, []);
	return [state, request] as const;
};
