import { useState } from 'react';
import Request from '../utils/request';

export const useStaffStatistic = () => {
  const [state, setState] = useState({
    loading: false,
    dataSource: {
      increase: 0,
      total: 0,
      attendance: 0,
    },
  });
  const request = () => {
    setState((preState) => ({ ...preState, loading: true }));
    Request.sendRequest({
      url: '/v1/staff/statistic',
    })
      .then((data: any) => {
        setState((preState) => ({
          ...preState,
          loading: false,
          dataSource: data,
        }));
      })
      .catch((error) => {
        setState((preState) => ({
          ...preState,
          loading: false,
        }));
      });
  };
  return { state, request } as const;
};
